ECLIPSE 能否在安装Ubuntu16.04 的arm环境使用 5C

1、硬件背景:安装Ubuntu16.04的TX2开发板,处理器为arm
2、为了便于开发,尝试安装JDK 和ECLIPSE,发现JDK可以正常安装,ECLIPSE一直报“cannot execute binary file:Exec format error”,从上网上查询说是设个版本不正确之类的,不知道准确原因。
3、疑问:1)从官网下载的ECLIPSE压缩包中都带有“x86”字样,请问是不是只能在PC机上的Ubuntu系统中使用?2),是否有可以在安装Ubuntu16.04 系统的的arm环境中安装和使用的eclipse IDE 环境?
谢谢。

2个回答

在Arm处理运行要使用arm编译器进行编译,Arm和x86的汇编不一样,从官网下载的包是在x86上进行使用的,有写资源在Arm上要从新进行移植的,所以在运行时报cannot execute binary file:Exec format error”,就是因为你使用的是x86的执行文件,Arm上无法解析运行的.需要移植,个人觉得移植工作亮会有些大,为什么不是在x86上使用Eclipse进行开发然后配置好交叉编译器,编译好的程序在Arm平台上运行呢?

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问